#!/usr/bin/env python3

import random

def generate_pw(length):
    import string
    charset = string.ascii_letters + string.digits + '+-_?!.:,;'
    return ''.join([random.choice(charset) for _ in range(length)])

def main():
    import sys
    import os
    import time
    
    if len(sys.argv) > 1:
        length = int(sys.argv[1])
    else:
        length = 12
    pw = generate_pw(length)
    print(pw)

    if os.name == 'nt':
        import win32clipboard
        win32clipboard.OpenClipboard()
        win32clipboard.EmptyClipboard()
        win32clipboard.SetClipboardText(pw, win32clipboard.CF_UNICODETEXT)
        win32clipboard.CloseClipboard()


if __name__ == '__main__':
    main()
